Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
QwtColorMap Class Reference

`#include <qwt_color_map.h>`

Inheritance diagram for QwtColorMap:
[legend]

List of all members.

## Public Types
enum | Format { RGB, Indexed }

## Public Member Functions
| QwtColorMap (Format=QwtColorMap::RGB)
virtual | ~QwtColorMap ()
QColor | color (const QwtDoubleInterval &, double value) const
virtual unsigned char | colorIndex (const QwtDoubleInterval &interval, double value) const =0
virtual QVector< QRgb > | colorTable (const QwtDoubleInterval &) const
virtual QwtColorMap * | copy () const =0
Format | format () const
virtual QRgb | rgb (const QwtDoubleInterval &interval, double value) const =0

## Detailed Description

QwtColorMap is used to map values into colors.

For displaying 3D data on a 2D plane the 3rd dimension is often displayed using colors, like f.e in a spectrogram.

Each color map is optimized to return colors for only one of the following image formats:

- QImage::Format_Indexed8
- QImage::Format_ARGB32

See also:
  QwtPlotSpectrogram, QwtScaleWidget

## Member Enumeration Documentation

enum QwtColorMap::Format

- RGB
  The map is intended to map into QRgb values.
- Indexed
  The map is intended to map into 8 bit values, that are indices into the color table.

See also:
  rgb(), colorIndex(), colorTable()

## Member Function Documentation

QColor QwtColorMap::color | ( | const QwtDoubleInterval & | interval,
|  | double | value
| ) |  | const
| inline

Map a value into a color

Parameters:

  interval | Valid interval for values
  value | Value

Returns:
  Color corresponding to value

Warning:
  This method is slow for Indexed color maps. If it is necessary to map many values, its better to get the color table once and find the color using colorIndex().

virtual unsigned char QwtColorMap::colorIndex | ( | const QwtDoubleInterval & | interval,
|  | double | value
| ) |  | const
| pure virtual

Map a value of a given interval into a color index

Parameters:

  interval | Range for the values
  value | Value

Returns:
  color index, corresponding to value

Implemented in QwtLinearColorMap.

QwtColorTable QwtColorMap::colorTable | ( | const QwtDoubleInterval & | interval | ) | const
| virtual

Build and return a color map of 256 colors

The color table is needed for rendering indexed images in combination with using colorIndex().

Parameters:

  interval | Range for the values

Returns:
  A color table, that can be used for a QImage

QwtColorMap::Format QwtColorMap::format | ( |  | ) | const
| inline

Returns:
  Intended format of the color map

See also:
  Format

virtual QRgb QwtColorMap::rgb | ( | const QwtDoubleInterval & | interval,
|  | double | value
| ) |  | const
| pure virtual

Map a value of a given interval into a rgb value.

Parameters:

  interval | Range for the values
  value | Value

Returns:
  rgb value, corresponding to value

Implemented in QwtAlphaColorMap, and QwtLinearColorMap.